Bug 1118843 - [abrt] Thunar: thunar_file_is_directory(): thunar killed by SIGSEGV
Summary: [abrt] Thunar: thunar_file_is_directory(): thunar killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: Thunar
Version: 19
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Kevin Fenzi
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:5db185c0cf6babdbb98d444d0bf...
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-07-11 16:41 UTC by Alexander Heike
Modified: 2015-02-18 11:03 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-18 11:03:20 UTC


Attachments (Terms of Use)
File: backtrace (21.28 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: cgroup (154 bytes, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: core_backtrace (16.04 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: dso_list (8.51 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: environ (1.47 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: exploitable (82 bytes, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: limits (1.29 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: maps (44.05 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: open_fds (2.64 KB, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details
File: proc_pid_status (945 bytes, text/plain)
2014-07-11 16:41 UTC, Alexander Heike
no flags Details

Description Alexander Heike 2014-07-11 16:41:14 UTC
Version-Release number of selected component:
Thunar-1.6.3-1.fc19

Additional info:
reporter:       libreport-2.2.2
backtrace_rating: 4
cmdline:        /usr/bin/Thunar /home/alexander/Pictures
crash_function: thunar_file_is_directory
executable:     /usr/bin/thunar
kernel:         3.14.8-100.fc19.x86_64
runlevel:       N 5
type:           CCpp
uid:            1000
var_log_messages: Binary file /var/log/messages matches

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 thunar_file_is_directory at thunar-file.c:2533
 #1 thunar_list_model_cmp_func at thunar-list-model.c:1017
 #2 node_find_closest at gsequence.c:1766
 #3 node_insert_sorted at gsequence.c:2004
 #4 g_sequence_insert_sorted_iter at gsequence.c:1029
 #5 g_sequence_insert_sorted at gsequence.c:718
 #6 thunar_list_model_files_added at thunar-list-model.c:1238
 #11 thunar_folder_finished at thunar-folder.c:544
 #16 exo_job_finished at exo-job.c:442
 #17 exo_job_async_ready at exo-job.c:281

Potential duplicate: bug 891310

Comment 1 Alexander Heike 2014-07-11 16:41:17 UTC
Created attachment 917381 [details]
File: backtrace

Comment 2 Alexander Heike 2014-07-11 16:41:18 UTC
Created attachment 917382 [details]
File: cgroup

Comment 3 Alexander Heike 2014-07-11 16:41:19 UTC
Created attachment 917383 [details]
File: core_backtrace

Comment 4 Alexander Heike 2014-07-11 16:41:21 UTC
Created attachment 917384 [details]
File: dso_list

Comment 5 Alexander Heike 2014-07-11 16:41:22 UTC
Created attachment 917385 [details]
File: environ

Comment 6 Alexander Heike 2014-07-11 16:41:23 UTC
Created attachment 917386 [details]
File: exploitable

Comment 7 Alexander Heike 2014-07-11 16:41:25 UTC
Created attachment 917387 [details]
File: limits

Comment 8 Alexander Heike 2014-07-11 16:41:27 UTC
Created attachment 917388 [details]
File: maps

Comment 9 Alexander Heike 2014-07-11 16:41:28 UTC
Created attachment 917389 [details]
File: open_fds

Comment 10 Alexander Heike 2014-07-11 16:41:29 UTC
Created attachment 917390 [details]
File: proc_pid_status

Comment 11 Kevin Fenzi 2014-07-11 17:05:39 UTC
what were you doing when this happened?

Can you duplicate it?

Comment 12 Alexander Heike 2014-07-11 21:47:34 UTC
I forgot to report it immediately, so I can not tell what I did exactly.
I think it happend while copying multiple PDFs into one subfolder by entering the subfolder and pasting the files there. When I went back to the originalfolder by pressing backspace, the filemanager crashed.
Could not reproduce, sorry.

Comment 13 Fedora End Of Life 2015-01-09 22:25:17 UTC
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 14 Fedora End Of Life 2015-02-18 11:03:20 UTC
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.